This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 238728 - Compile problems with libqt-mt.so.3.3.6
Compile problems with libqt-mt.so.3.3.6
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: qt (Show other bugs)
5.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-02 12:43 EDT by Greg Harber
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-23 11:35:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
compile attempt on kmovisto (7.60 KB, text/plain)
2007-05-02 14:37 EDT, Greg Harber
no flags Details
compile attempt on xdrawchem (10.88 KB, application/octet-stream)
2007-05-02 14:39 EDT, Greg Harber
no flags Details

  None (edit)
Description Greg Harber 2007-05-02 12:43:26 EDT
Description of problem:
Cannot compile third party applications that depend on qt-mt library

Version-Release number of selected component (if applicable):

qt-3.3.6.20.el5

How reproducible:
I have tried to build three different applications, all have failed

Steps to Reproduce:
1. export QTDIR=/usr/lib/qt-3.3
   export PKG_CONFIG_PATH=/usr/lib/pkgconfig
2. [root@localhost kmovisto-0.7.0]# ./configure --with-qt-dir=/usr/lib/qt-3.3
--with-qt-includes=/usr/lib/qt-3.3/include/ --with-qt-libs=/usr/lib/qt-3.3/lib/
3. 

  
Actual results:
checking for Qt... configure: error: Qt (>= Qt 3.0.3) (library qt-mt) not found.
Please check your installation!
For more details about this problem, look at the end of config.log.
Make sure that you have compiled Qt with thread support!

Another app makes it through .configure but fails in make with:

/usr/bin/ld: skipping incompatible /usr/lib/qt-3.3/lib/libqt-mt.so when
searching for -lqt-mt

Expected results:


Additional info:
Comment 1 Ngo Than 2007-05-02 12:58:39 EDT
the variables are wrong. Why don't you define the variables? it's not needed.
just use  source /etc/profile.d/qt.sh, it will do for you. 
Comment 2 Greg Harber 2007-05-02 14:37:26 EDT
Created attachment 153971 [details]
compile attempt on kmovisto
Comment 3 Greg Harber 2007-05-02 14:39:10 EDT
Created attachment 153972 [details]
compile attempt on xdrawchem
Comment 4 Greg Harber 2007-05-02 14:40:01 EDT
If only it was so easy.  I have attached compile records from two applications
dependant on qt-mt
Comment 5 Ngo Than 2007-10-23 11:35:23 EDT
i have take a look at the compile logfile, you are compiling it for x86_64.

please try following, it should work for you.

unset QTDIR
source /etc/profile.d/qt.sh


Note You need to log in before you can comment on or make changes to this bug.